<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwConfigurationDB: fwConfigurationDB_Utils.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwConfigurationDB__Utils_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwConfigurationDB_Utils.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a589e525ea6fb2118864a14ab7b1a096d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a589e525ea6fb2118864a14ab7b1a096d">fwConfigurationDB_handleErrors</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a589e525ea6fb2118864a14ab7b1a096d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e907987f43c422b038583b077baeb4b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a0e907987f43c422b038583b077baeb4b">fwConfigurationDB_checkErrors</a> (dyn_string &amp;exceptionInfo, bool dbRollbackOnError=true)</td></tr>
<tr class="separator:a0e907987f43c422b038583b077baeb4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75bd3ecbea268af016191f8cf3e3ffab"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a75bd3ecbea268af016191f8cf3e3ffab">fwConfigurationDB_progress</a> (int operationId, string currentOperation, float progress, dyn_string &amp;exceptionInfo, bool dbRollbackOnError=true)</td></tr>
<tr class="separator:a75bd3ecbea268af016191f8cf3e3ffab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b4f32cb5d29e4038a08155d79a7371"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#ac0b4f32cb5d29e4038a08155d79a7371">_fwConfigurationDB_progressDialogThread</a> ()</td></tr>
<tr class="separator:ac0b4f32cb5d29e4038a08155d79a7371"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab20eebbc9c094c9d0afbd8ecbfb145d3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#ab20eebbc9c094c9d0afbd8ecbfb145d3">fwConfigurationDB_openProgressDialog</a> (dyn_int operationIds, dyn_string operationNames)</td></tr>
<tr class="separator:ab20eebbc9c094c9d0afbd8ecbfb145d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a729c4ecb02a02f9265dde492a4ef7815"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a729c4ecb02a02f9265dde492a4ef7815">fwConfigutationDB_dpGetManyDist</a> (dyn_string dpes, dyn_mixed &amp;values, dyn_string exceptionInfo)</td></tr>
<tr class="separator:a729c4ecb02a02f9265dde492a4ef7815"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbbcc14dd49c1b8492931df76d7c6ef7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#adbbcc14dd49c1b8492931df76d7c6ef7">fwConfigurationDB_genericNotify</a> (string s1, string s2=&quot;&quot;, string s3=&quot;&quot;, int errcatEntry=2000, int prio=PRIO_INFO)</td></tr>
<tr class="separator:adbbcc14dd49c1b8492931df76d7c6ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79766ad48abf348e72ed2ba69bbca293"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a79766ad48abf348e72ed2ba69bbca293">_fwConfigurationDB_loadDefaultConnection</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a79766ad48abf348e72ed2ba69bbca293"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Private Functions in general module</div></td></tr>
<tr class="memitem:ga3aa0e1a7d29928aaf3ce7a2365617504"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga3aa0e1a7d29928aaf3ce7a2365617504">_fwConfigurationDB_getPropertiesAndDPEs</a> (string dptName, dyn_string &amp;properties, dyn_string &amp;dpes, string &amp;devTypeName, dyn_string &amp;exceptionInfo, string deviceModel=&quot;&quot;)</td></tr>
<tr class="separator:ga3aa0e1a7d29928aaf3ce7a2365617504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d676d6dd6d248a1db7f00b75ebbd084"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga0d676d6dd6d248a1db7f00b75ebbd084">_fwConfigurationDB_getDPTElements</a> (string dptName, dyn_string &amp;exceptionInfo, bool all=FALSE)</td></tr>
<tr class="separator:ga0d676d6dd6d248a1db7f00b75ebbd084"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b613877e2156e94cb06da25c1aaf91f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga9b613877e2156e94cb06da25c1aaf91f">_fwConfigurationDB_getDPTElements2</a> (string dptName, dyn_string &amp;elementNames, dyn_int &amp;elementTypes, dyn_string &amp;exceptionInfo, bool all=FALSE)</td></tr>
<tr class="separator:ga9b613877e2156e94cb06da25c1aaf91f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a9645cfe3f824ba48530ee16525c73d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga6a9645cfe3f824ba48530ee16525c73d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_typeIdToDpeTypeId</b> (int varType)</td></tr>
<tr class="separator:ga6a9645cfe3f824ba48530ee16525c73d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35869423f789ddfd0bc8f2e98da9ebd6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga35869423f789ddfd0bc8f2e98da9ebd6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_dataToString</b> (anytype data, int dataType, string listSeparator, string &amp;encodedData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga35869423f789ddfd0bc8f2e98da9ebd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga942e37307de96357e2613a8d290196f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga942e37307de96357e2613a8d290196f7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_stringToData</b> (string encodedData, int dataType, string listSeparator, anytype &amp;data, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga942e37307de96357e2613a8d290196f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd802c25643acf745a44a1ae1c203b52"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gabd802c25643acf745a44a1ae1c203b52"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_getFwDeviceName</b> (string dptName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gabd802c25643acf745a44a1ae1c203b52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ac12bb504fda040005b46408e76df9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga1ac12bb504fda040005b46408e76df9e">_fwConfigurationDB_getAlertData</a> (dyn_dyn_mixed &amp;recipeObject, int row, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga1ac12bb504fda040005b46408e76df9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabccfe0eff7a96ef3059ecf134edc5e85"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gabccfe0eff7a96ef3059ecf134edc5e85">_fwConfigurationDB_NodeSystemName</a> (string nodeName)</td></tr>
<tr class="separator:gabccfe0eff7a96ef3059ecf134edc5e85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga82e90231e92e5a051f062fae12c9eb02"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga82e90231e92e5a051f062fae12c9eb02">_fwConfigurationDB_NodeNameWithoutSystem</a> (string nodeName)</td></tr>
<tr class="separator:ga82e90231e92e5a051f062fae12c9eb02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab83ba42c5efac0f55782a8a11a05fb7e"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gab83ba42c5efac0f55782a8a11a05fb7e">_fwConfigurationDB_NodeNameWithSystem</a> (string nodeName, string systemName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gab83ba42c5efac0f55782a8a11a05fb7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabbf30e85bbbb5342e767d3f55929c1a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gabbf30e85bbbb5342e767d3f55929c1a5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_dpSetMany</b> (dyn_string &amp;dpes, dyn_mixed &amp;values, dyn_string &amp;exceptionInfo, string systemName=&quot;&quot;)</td></tr>
<tr class="separator:gabbf30e85bbbb5342e767d3f55929c1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafcf37f2ea3a3dd622525d6aef5196815"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gafcf37f2ea3a3dd622525d6aef5196815">fwConfigurationDB_dpSetManyDist</a> (dyn_string &amp;dpes, dyn_mixed &amp;values, dyn_string &amp;exceptionInfo, bool checkDpeExist=false)</td></tr>
<tr class="separator:gafcf37f2ea3a3dd622525d6aef5196815"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This package contains internal functions of the Configuration Database tool</p>
<p>(c) Copyright CERN, All Rights Reserved </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a589e525ea6fb2118864a14ab7b1a096d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwConfigurationDB_handleErrors </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Handles standard errors, taking care of closing the progress bars, etc Used in panels typical use would be: </p>
<div class="fragment"><div class="line">someFunction(parameter, exceptionInfo);</div>
<div class="line"><span class="keywordflow">if</span> (<a class="code" href="fwConfigurationDB__Utils_8ctl.html#a589e525ea6fb2118864a14ab7b1a096d">fwConfigurationDB_handleErrors</a>(exceptionInfo)) <span class="keywordflow">return</span>;</div>
</div><!-- fragment --><dl class="section see"><dt>See Also</dt><dd>see also <a class="el" href="fwConfigurationDB__Utils_8ctl.html#a0e907987f43c422b038583b077baeb4b">fwConfigurationDB_checkErrors</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a0e907987f43c422b038583b077baeb4b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwConfigurationDB_checkErrors </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dbRollbackOnError</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>check errors, taking care of closing the progress bars, etc Used in scripts typical use would be: </p>
<div class="fragment"><div class="line">someFunction(parameter, exceptionInfo);</div>
<div class="line"><span class="keywordflow">if</span> (<a class="code" href="fwConfigurationDB__Utils_8ctl.html#a0e907987f43c422b038583b077baeb4b">fwConfigurationDB_checkErrors</a>(exceptionInfo,<span class="keyword">true</span>)) <span class="keywordflow">return</span>;</div>
</div><!-- fragment --><dl class="section see"><dt>See Also</dt><dd>see also <a class="el" href="fwConfigurationDB__Utils_8ctl.html#a589e525ea6fb2118864a14ab7b1a096d">fwConfigurationDB_handleErrors</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a75bd3ecbea268af016191f8cf3e3ffab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwConfigurationDB_progress </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>operationId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>currentOperation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>progress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dbRollbackOnError</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>reports progress of operation, with handling of "Abort" requests and errors it returns TRUE and the "ABORT" exception in the exceptionInfo when the operation needs to be aborted. Used in the library functions typical use would be: </p>
<div class="fragment"><div class="line"><span class="keywordflow">if</span> (<a class="code" href="fwConfigurationDB__Utils_8ctl.html#a75bd3ecbea268af016191f8cf3e3ffab">fwConfigurationDB_progress</a>(OPER_LoadFile,<span class="stringliteral">&quot;Loading file&quot;</span>, 35.0, exceptionInfo)) <span class="keywordflow">return</span>;</div>
</div><!-- fragment --> 
</div>
</div>
<a class="anchor" id="ac0b4f32cb5d29e4038a08155d79a7371"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_progressDialogThread </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000005">Reviewed:</a></b></dt><dd>2018-06-22 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-Thread">Thread</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ab20eebbc9c094c9d0afbd8ecbfb145d3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_openProgressDialog </td>
          <td>(</td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>operationIds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>operationNames</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>opens a custom progress bar Used in panels </p>

</div>
</div>
<a class="anchor" id="a729c4ecb02a02f9265dde492a4ef7815"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigutationDB_dpGetManyDist </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>values</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wrapper over dpGet to handle many systems</p>
<p>This function allows to get dpe values from many systems (ie. overcome the limitation of dpGet) </p>

</div>
</div>
<a class="anchor" id="adbbcc14dd49c1b8492931df76d7c6ef7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_genericNotify </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s2</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s3</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>errcatEntry</em> = <code>2000</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>prio</em> = <code>PRIO_INFO</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Printout function that uses PVSS error messages. </p>

</div>
</div>
<a class="anchor" id="a79766ad48abf348e72ed2ba69bbca293"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwConfigurationDB_loadDefaultConnection </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Auto-configures DB-connectivity parameters using fwInstallationTool (CDBSI)
</pre><dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000006">Reviewed:</a></b></dt><dd>2018-06-26 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-StandaloneTool">StandaloneTool</a> <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-API">API</a></dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwConfigurationDB__Utils_8ctl.html">fwConfigurationDB_Utils.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
